package com.rjconsultores.ventaboletos.enums;

public enum CacheApiEnum {

	LOCALIDADES(1, "Localidades", "adm/tenant/limparCache/localidades"), 
	TRECHOS(2, "Trechos", "adm/tenant/limparCache/embarcada_tramos"), 
	OPERADOR(3, "Operador", "adm/tenant/limparCache/embarcada_operadores"),
	USUARIO(4, "Usuario", "adm/tenant/limparCache/usuarios"),	
	CONSTANTES(5, "Constantes", "adm/tenant/limparCache/constantes"),
	CORRIDA(6, "Corrida", "adm/tenant/limparCache/corridas"),
	OPERADOR_ESPECIFICO(7, "Operador", "embarcadasync/cache/operador/empresa_id/operador_id"),
	;

	private Integer valor;
	private String descricao;
	private String uri;

	private CacheApiEnum(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}
	
	private CacheApiEnum(Integer valor, String descricao, String uri) {
		this.valor = valor;
		this.descricao = descricao;
		this.uri = uri;
	}

	public Integer getValor() {
		return this.valor;
	}
	
	public String getUri() {
		return this.uri;
	}

	@Override
	public String toString() {
		return this.descricao;
	}

	public static CacheApiEnum getCache(Integer tValor) {
		for (CacheApiEnum valor : CacheApiEnum.values()) {
			if (valor.getValor().equals(tValor)) {
				return valor;
			}
		}
		return null;
	}

}
